/* Copyright (c) 2003, Oracle Corporation. All rights reserved. */

package oracle.portal.sample.v2.devguide.struts;

import java.util.Set;
import java.util.HashSet;
import java.util.Iterator;
import java.io.Serializable;


/**
 * This class stores customer details as a set of action form beans.
 */
public class CustomerStore implements Serializable
{
    private Set mCustomers = new HashSet();
  
    public void addCustomer(CustomerDetailsActionForm form)
    {
        mCustomers.add(form);
    }

    public Iterator getCustomers()
    {
        return mCustomers.iterator();
    }
}
